<!DOCTYPE html>
<html>
<head>
<title> Bootstrap template- Pizza 365 project </title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- font -->
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<!-- Bootstrap -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body onload="onBtnGetDrinkListClick()">

  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#plans">Plans</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#about">About</a>
              </li>
              <li class="nav-item">  <!-- đổi thành dạng click để dễ xử lý-->
                <button class="btn" onclick = "onNavOrderDetailClick()" > Order Detail</button>
              </li>
            </ul>
          </div>
        </nav>
      </div>  
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1><b>Pizza 365
              Truly italian !
              </b></h1>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/mon_y_1.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_2.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_3.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_4.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_5.jpg" alt="Third slide">
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom text-danger">Tại sao lại Pizza 365</b></h2>
          </div>

          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 bg-primary text-white border">
                <h3 class="p-2"> Phong cách ẩm thực đa dạng</h3>
                <p class="p-2">Pizza 365 cung cấp một phong cách ẩm thực đa dạng với các loại pizza khác nhau, cũng như số lượng lớn các món ăn khác.
                </p>
              </div>
              <div class="col-sm-3 p-4 bg-success text-white border">
                <h3 class="p-2"> Chất lượng tốt</h3>
                <p class="p-2">Pizza 365 đảm bảo chất lượng thực phẩm và đồ uống đều tốt, với đầy đủ các thành phần dinh dưỡng cần thiết.</p>
              </div>
              <div class="col-sm-3 p-4 bg-warning text-white border">
                <h3 class="p-2"> Giá cả phải chăng</h3>
                <p class="p-2">"Pizza 365 cung cấp giá cả phải chăng cho các món ăn của họ, trong khi vẫn đảm bảo chất lượng tốt.
                </p>
              </div>
              <div class="col-sm-3 p-4 bg-info text-white border">
                <h3 class="p-2"> Nhiều khuyến mãi</h3>
                <p class="p-2"> Pizza 365 có nhiều khuyến mãi và ưu đãi khác nhau để hỗ trợ khách hàng tiết kiệm thời gian và tiền bạc. </p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu Combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn!</span></p>
          </div>
          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>S (Small size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính <b>20 cm</b></li>
                      <li class="list-group-item">Sườn nướng <b>2</b></li>
                      <li class="list-group-item">Salad <b>200 g</b></li>
                      <li class="list-group-item">Nước ngọt <b>2</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>150.000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-s" class="btn btn-success" data-is-selected-menu="N" onclick="onBtnChonSClick()">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-white text-center">
                    <h3>M (Medium size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính <b>25 cm</b></li>
                      <li class="list-group-item">Sườn nướng <b>4</b></li>
                      <li class="list-group-item">Salad <b>300 g</b></li>
                      <li class="list-group-item">Nước ngọt <b>3</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>200.000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-m" class="btn btn-success" data-is-selected-menu="N" onclick="onBtnChonMClick()">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>L ( Large size )</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính <b>30 cm</b></li>
                      <li class="list-group-item">Sườn nướng <b>8</b></li>
                      <li class="list-group-item">Salad <b>500 g</b></li>
                      <li class="list-group-item">Nước ngọt <b>4</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>250.000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-l" class="btn btn-success" data-is-selected-menu="N" onclick="onBtnChonLClick()">Chọn</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="about" class="row">
          <!-- Title Who We Are -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
          </div>

          <!-- Content Who We Are -->
          <div class="col-sm-12 mb-3">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_1.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Pizza Hawai</h3>
                    <p>Món ăn thanh đạm</p>
                    <p>Hãy thưởng thức món ăn với phong cách Aloha đến từ Hawai
                    </p>
                    <p><button id="btn-hawai" class="btn btn-info w-100" data-is-selected-pizza="N"
                        onclick="onBtnPizzaHawaiClick()">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_2.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Pizza hải sản</h3>
                    <p>Món ăn đến từ biển</p>
                    <p>BẠn đã thử pizza được chế biến từ nguyên liệu hải sản chưa?
                    </p>
                    <p><button id="btn-hai-san" class="btn btn-info w-100" data-is-selected-pizza="N"
                        onclick="onBtnPizzaHaiSanClick()">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_3.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Pizza Bacon</h3>
                    <p>Món ăn đặc biệt</p>
                    <p>Được chế biến từ thịt bacon,mang đến hương vị mới lạ.
                    </p>
                    <p><button id="btn-bacon" class="btn btn-info w-100" data-is-selected-pizza="N"
                        onclick="onBtnPizzaBaconClick()">Chọn</button></p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <!--title chọn đồ uống-->
        <div>
            <label>Hãy chọn đồ uống bạn yêu thích</label>
            <select id="drink-select" class="form-control">
              <option>Chọn đồ uống</option>
            </select>
        </div>
        

        <div id="contact" class="row">
          <!-- Title Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Contact Us</b></h2>
          </div>

          <!-- Content Contact Us -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="fullname">Họ và tên</label>
                  <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group">
                  <label for="dien-thoai">Điện thoại</label>
                  <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
                </div>
                <div class="form-group">
                  <label for="dia-chi">Địa chỉ</label>
                  <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                </div>
                <div class="form-group">
                  <label for="message">Mã giảm giá</label>
                  <input type="text" class="form-control" id="inp-voucher-id" placeholder="mã giảm giá">
                </div>
                <button type="button" class="btn btn-dark w-100">Send (Gửi đơn)</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-light p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
      </div>
    </div>
  </div>
</body>
  
<script>
"use strict";
/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */ 
"use strict";
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
    const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/drinks";

/*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
function onNavOrderDetailClick () {
  console.log("%cGọi chi tiết order ở đây", "color:blue");
}

/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
function onBtnChonSClick() {
    changeColorBtn("S");
    var vComboS = getSize("S", "20cm", "2", "200g", "2", 150000);
    vComboS.displayInConsoleLog();


  }
  function onBtnChonMClick() {
    changeColorBtn("M");
    var vComboS = getSize("M", "25cm", "4", "300g", "3", 200000);
    vComboS.displayInConsoleLog();

  }
  function onBtnChonLClick() {
    changeColorBtn("L");
    var vComboS = getSize("L", "30cm", "8", "500g", "4", 250000);
    vComboS.displayInConsoleLog();

  }

   // hàm chọn loại pizza
   function onBtnPizzaHawaiClick() {
    changeColorBtnPiza("Hawai");
    console.log("PizzaHawai");
  }
  function onBtnPizzaHaiSanClick() {
    changeColorBtnPiza("HaiSan");
    console.log("Pizza Hải sản");
  }
  function onBtnPizzaBaconClick() {
    changeColorBtnPiza("Bacon");
    console.log("Pizza Bacon");
  }

  //hàm lấy danh sách đồ uống 
  function onBtnGetDrinkListClick(){
    var vXmlHttp = new XMLHttpRequest();
    goiApiDeLayThongTinDoUong(vXmlHttp);
    vXmlHttp.onreadystatechange = function(){
      if(vXmlHttp.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && vXmlHttp.status == gREQUEST_STATUS_OK){
        hienThiThongTinNuocUong(vXmlHttp);
      }
    }
  }

/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
function getSize(paramSize, paramDuongKinh, paramSuonNuong, paramSalad, paramNuocNgot, paramVND) {
    var vComcoSizeObj = {
      size: paramSize,
      duongKinh: paramDuongKinh,
      suonNuong: paramSuonNuong,
      salad: paramSalad,
      nuocNgot: paramNuocNgot,
      VND: paramVND,

      displayInConsoleLog() {
        console.log("%cCombo size - gói comBo được chọn..........", "color:blue");
        console.log(this.size);  //this = "đối tượng này"
        console.log("Đường kính: " + this.duongKinh);
        console.log("Sườn nướng: " + this.suonNuong);
        console.log("salad: " + this.salad);
        console.log("Nước ngọt:" + this.nuocNgot);

        console.log("Giá: " +  + this.VND);
      }

    }
    return vComcoSizeObj;

  }

  // hàm thay đổi màu nút chọn theo size
  function changeColorBtn(paramSize) {
    var vBtnS = document.getElementById("btn-s");
    var vBtnM = document.getElementById("btn-m");
    var vBtnL = document.getElementById("btn-l");

    if (paramSize === "S") {
      vBtnS.className = "btn btn-warning"
      vBtnS.setAttribute("data-is-selected-menu", "Y");
      // nút M
      vBtnM.className = "btn btn-success"
      vBtnM.setAttribute("data-is-selected-menu", "N");
      // nút L
      vBtnL.className = "btn btn-success"
      vBtnL.setAttribute("data-is-selected-menu", "N");

    }
    else if (paramSize === "M") {
      // nút s
      vBtnS.className = "btn btn-success"
      vBtnS.setAttribute("data-is-selected-menu", "N");
      // nút M
      vBtnM.className = "btn btn-warning"
      vBtnM.setAttribute("data-is-selected-menu", "Y");
      // nút L
      vBtnL.className = "btn btn-success"
      vBtnL.setAttribute("data-is-selected-menu", "N");
    }
    else if (paramSize === "L") {
      // nút s
      vBtnS.className = "btn btn-success"
      vBtnS.setAttribute("data-is-selected-menu", "N");
      // nút M
      vBtnM.className = "btn btn-success"
      vBtnM.setAttribute("data-is-selected-menu", "N");
      // nút L
      vBtnL.className = "btn btn-warning"
      vBtnL.setAttribute("data-is-selected-menu", "Y");
    }

  }
  // hàm thay đổi màu chọn bánh pizza
  function changeColorBtnPiza(paramLoaiPizza) {
    var vBtnHawai = document.getElementById("btn-hawai");
    var vBtnHaiSan = document.getElementById("btn-hai-san");
    var vBtnBacon = document.getElementById("btn-bacon");


    if (paramLoaiPizza == "Hawai") {
      vBtnHawai.className = "btn btn-warning w-100";
      vBtnHawai.setAttribute("data-is-selected-pizza", "Y");

      vBtnHaiSan.className = "btn btn-success w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");

      vBtnBacon.className = "btn btn-success w-100";
      vBtnBacon.setAttribute("data-is-selected-pizza", "N");
    }

    else if (paramLoaiPizza == "HaiSan") {
      vBtnHawai.className = "btn btn-success w-100";
      vBtnHawai.setAttribute("data-is-selected-pizza", "N");

      vBtnHaiSan.className = "btn btn-warning w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "Y");

      vBtnBacon.className = "btn btn-success w-100";
      vBtnBacon.setAttribute("data-is-selected-pizza", "N");

    }
    else if (paramLoaiPizza == "Bacon") {
      vBtnHawai.className = "btn btn-success w-100";
      vBtnHawai.setAttribute("data-is-selected-pizza", "N");

      vBtnHaiSan.className = "btn btn-success w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");

      vBtnBacon.className = "btn btn-warning w-100";
      vBtnBacon.setAttribute("data-is-selected-pizza", "Y");

    }
  }

   // hàm thay đổi màu chọn bánh pizza
   function changeColorBtnPiza(paramLoaiPizza) {
    var vBtnHawai = document.getElementById("btn-hawai");
    var vBtnHaiSan = document.getElementById("btn-hai-san");
    var vBtnBacon = document.getElementById("btn-bacon");


    if (paramLoaiPizza == "Hawai") {
      vBtnHawai.className = "btn btn-warning w-100";
      vBtnHawai.setAttribute("data-is-selected-pizza", "Y");

      vBtnHaiSan.className = "btn btn-info w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");

      vBtnBacon.className = "btn btn-info w-100";
      vBtnBacon.setAttribute("data-is-selected-pizza", "N");
    }

    else if (paramLoaiPizza == "HaiSan") {
      vBtnHawai.className = "btn btn-info w-100";
      vBtnHawai.setAttribute("data-is-selected-pizza", "N");

      vBtnHaiSan.className = "btn btn-warning w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "Y");

      vBtnBacon.className = "btn btn-info w-100";
      vBtnBacon.setAttribute("data-is-selected-pizza", "N");

    }
    else if (paramLoaiPizza == "Bacon") {
      vBtnHawai.className = "btn btn-info w-100";
      vBtnHawai.setAttribute("data-is-selected-pizza", "N");

      vBtnHaiSan.className = "btn btn-info w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");

      vBtnBacon.className = "btn btn-warning w-100";
      vBtnBacon.setAttribute("data-is-selected-pizza", "Y");

    }
  }

  //hàm gọi api để lấy thông tin đồ uống 
  function goiApiDeLayThongTinDoUong(paramXmlHttp){
    paramXmlHttp.open("GET", gBASE_URL, true);
    paramXmlHttp.send();
  }

  //hàm hiển thị thông tin nước uống 
  function hienThiThongTinNuocUong(paramXmlHttp){
    var vSelectDrink = document.getElementById("drink-select");
    var vDoUongObj = JSON.parse(paramXmlHttp.responseText);
    for(var bI = 0; bI < vDoUongObj.length; bI++){
      var bOptionDoUong = document.createElement("option");
      bOptionDoUong.value = bI;
      bOptionDoUong.text = vDoUongObj[bI].tenNuocUong;
      vSelectDrink.appendChild(bOptionDoUong);
    }
  }
</script>

</html>